org.eclipse.actf.ai.tts

## Interface ISAPIEngine

All Superinterfaces:
  ITTSEngine

    public interface ISAPIEngine
    extends ITTSEngine

ISAPIEngine interface defines text synthesis interface to be implemented by SAPI5 and MSP text-to-speech engine

See Also:
  `ITTSEngine`

### Field Summary

Fields
`static Map<String,String>` `LANGID_MAP` Map to get LangId from "Language"-"Country" code (e.g., en-US).
`static Map<String,String>` `LANGID_REVERSE_MAP` Map to get "Language"-"Country" code (e.g., en-US) from LangId.
`static int` `SVSFDefault`
`static int` `SVSFIsFilename`
`static int` `SVSFIsNotXML`
`static int` `SVSFIsXML`
`static int` `SVSFlagsAsync`
`static int` `SVSFPersistXML`
`static int` `SVSFPurgeBeforeSpeak`

### Fields inherited from interface org.eclipse.actf.ai.tts.ITTSEngine

`GENDER_FEMALE, GENDER_MALE, LANG_ENGLISH, LANG_JAPANESE, LANGSET, TTSFLAG_DEFAULT, TTSFLAG_FLUSH`

### Method Summary

Methods
`int` `getRate()`
`Set<ITTSEngineInfo>` `getTTSEngineInfoSet()`
`boolean` `setRate(int rate)`
`void` `speak(String text, int sapiFlags)` Speak text by using specified SAPI flag

### Methods inherited from interface org.eclipse.actf.ai.tts.ITTSEngine

`canSpeakToFile, dispose, getSpeed, isAvailable, isDisposed, setEventListener, setGender, setLanguage, setSpeed, speak, speakToFile, stop`

### Field Detail

#### SVSFDefault

    static final int SVSFDefault

See Also:
  Constant Field Values

#### SVSFlagsAsync

    static final int SVSFlagsAsync

See Also:
  Constant Field Values

#### SVSFPurgeBeforeSpeak

    static final int SVSFPurgeBeforeSpeak

See Also:
  Constant Field Values

#### SVSFIsFilename

    static final int SVSFIsFilename

See Also:
  Constant Field Values

#### SVSFIsXML

    static final int SVSFIsXML

See Also:
  Constant Field Values

#### SVSFIsNotXML

    static final int SVSFIsNotXML

See Also:
  Constant Field Values

#### SVSFPersistXML

    static final int SVSFPersistXML

See Also:
  Constant Field Values

#### LANGID_MAP

    static final Map<String,String> LANGID_MAP

Map to get LangId from "Language"-"Country" code (e.g., en-US).

#### LANGID_REVERSE_MAP

    static final Map<String,String> LANGID_REVERSE_MAP

Map to get "Language"-"Country" code (e.g., en-US) from LangId.

### Method Detail

#### setRate

    boolean setRate(int rate)

Parameters:
  `rate` - The rate property to be set.
Returns:
  The invocation is succeeded then it returns true.

#### getRate

    int getRate()

Returns:
  The rate property of the voice engine.

#### speak

    void speak(String text,
             int sapiFlags)

Speak text by using specified SAPI flag

Parameters:
  `text` - text string to be spoken
  `sapiFlags` - SAPI flags

#### getTTSEngineInfoSet

    Set<ITTSEngineInfo> getTTSEngineInfoSet()

Returns:
  set of TTS engine information that supported in the environment.